Class | Chef::Provider::Deploy
In: | lib/chef/provider/deploy.rb lib/chef/provider/deploy/revision.rb lib/chef/provider/deploy/timestamped.rb
Parent: | Chef::Provider

### Methods

action_deploy action_force_deploy action_rollback all_releases callback cleanup! copy_cached_repo create_dir_unless_exists create_dirs_before_symlink current_release? define_resource_requirements deploy deployed? enforce_ownership gem_packages gem_resource_collection_runner install_gems link_current_release_to_production link_tempfiles_to_current_release load_current_resource migrate new purge_tempfiles_from_current_release release_created release_deleted release_slug restart rollback rollback_to run run_callback_from_file run_options run_scm_sync run_symlinks_before_migrate save_release_state sudo svn_force_export symlink update_cached_repo verify_directories_exist whyrun_supported? with_rollback_on_error

### Included Modules

Chef::Mixin::RecipeDefinitionDSLCore Chef::Mixin::FromFile Chef::Mixin::Command

### Classes and Modules

Class Chef::Provider::Deploy::Revision
Class Chef::Provider::Deploy::Timestamped

### Attributes

previous_release_path | [R] |
release_path | [R] |
scm_provider | [R] |

### Public Class methods

new(new_resource, run_context)

### Public Instance methods

action_deploy()
action_force_deploy()
action_rollback()
all_releases()
callback(what, callback_code=nil)
cleanup!()
copy_cached_repo()
create_dirs_before_symlink()
define_resource_requirements()
deploy()
enforce_ownership()
link_current_release_to_production()
link_tempfiles_to_current_release()
load_current_resource()
migrate()
purge_tempfiles_from_current_release()
restart()
rollback()
rollback_to(target_release_path)
run(command, &block)
run_scm_sync()
run_symlinks_before_migrate()
sudo(command,&block)
svn_force_export()
symlink()
update_cached_repo()
verify_directories_exist()
whyrun_supported?()

### Protected Instance methods

create_dir_unless_exists(dir)
current_release?(release)
deployed?(release)
gem_packages()
gem_resource_collection_runner()
install_gems()
release_created(release_path)

Internal callback, called after copy_cached_repo. Override if you need to keep state externally. Note that YOU are responsible for implementing whyrun-friendly behavior in any actions you take in this callback.

release_deleted(release_path)

Note that YOU are responsible for using appropriate whyrun nomenclature Override if you need to keep state externally. Note that YOU are responsible for implementing whyrun-friendly behavior in any actions you take in this callback.

release_slug()
run_callback_from_file(callback_file)
run_options(run_opts={})
save_release_state()
with_rollback_on_error() {|| ...}

[Validate]